Browse Source

Sync with portage [Tue Apr 21 09:10:04 MSK 2020].

develop
root 2 years ago
parent
commit
313bce1e7e
  1. BIN
      Manifest.files.gz
  2. BIN
      app-accessibility/Manifest.gz
  3. 2
      app-accessibility/at-spi2-atk/at-spi2-atk-2.34.2.ebuild
  4. 4
      app-accessibility/at-spi2-core/at-spi2-core-2.34.0.ebuild
  5. 1
      app-accessibility/orca/Manifest
  6. 59
      app-accessibility/orca/orca-3.32.0-r1.ebuild
  7. 2
      app-accessibility/orca/orca-3.34.2.ebuild
  8. BIN
      app-admin/Manifest.gz
  9. 2
      app-admin/vault/Manifest
  10. 72
      app-admin/vault/vault-1.4.0.ebuild
  11. BIN
      app-arch/Manifest.gz
  12. 1
      app-arch/file-roller/Manifest
  13. 91
      app-arch/file-roller/file-roller-3.32.3.ebuild
  14. 2
      app-arch/file-roller/file-roller-3.32.4.ebuild
  15. 2
      app-arch/gcab/gcab-1.4.ebuild
  16. BIN
      app-cdr/Manifest.gz
  17. 4
      app-cdr/bchunk/bchunk-1.2.0-r4.ebuild
  18. BIN
      app-crypt/Manifest.gz
  19. 2
      app-crypt/libsecret/libsecret-0.20.2.ebuild
  20. BIN
      app-editors/Manifest.gz
  21. 1
      app-editors/gedit-plugins/Manifest
  22. 95
      app-editors/gedit-plugins/gedit-plugins-3.32.2-r1.ebuild
  23. 2
      app-editors/gedit-plugins/gedit-plugins-3.34.1.ebuild
  24. 1
      app-editors/gedit/Manifest
  25. 49
      app-editors/gedit/files/3.32.2-fix-parallel-build.patch
  26. 102
      app-editors/gedit/gedit-3.32.2-r1.ebuild
  27. 2
      app-editors/gedit/gedit-3.34.1.ebuild
  28. BIN
      app-misc/Manifest.gz
  29. 1
      app-misc/bijiben/Manifest
  30. 53
      app-misc/bijiben/bijiben-3.32.2.ebuild
  31. 2
      app-misc/bijiben/bijiben-3.34.2.ebuild
  32. 2
      app-misc/tracker-miners/tracker-miners-2.3.3.ebuild
  33. 2
      app-misc/tracker/tracker-2.3.4.ebuild
  34. BIN
      app-office/Manifest.gz
  35. 77
      app-office/planner/planner-0.14.6_p20130520-r1.ebuild
  36. 2
      app-office/planner/planner-0.14.6_p20130520-r2.ebuild
  37. BIN
      app-portage/Manifest.gz
  38. 1
      app-portage/cpuid2cpuflags/Manifest
  39. 28
      app-portage/cpuid2cpuflags/cpuid2cpuflags-9.ebuild
  40. 1
      app-portage/nattka/Manifest
  41. 35
      app-portage/nattka/nattka-0.2.2.ebuild
  42. BIN
      app-text/Manifest.gz
  43. 2
      app-text/discount/discount-2.2.6.ebuild
  44. 1
      app-text/evince/Manifest
  45. 107
      app-text/evince/evince-3.32.1.ebuild
  46. 2
      app-text/evince/evince-3.34.2.ebuild
  47. 2
      app-text/gtkspell/gtkspell-2.0.16-r1.ebuild
  48. 2
      app-text/texlive-core/Manifest
  49. 2
      app-text/texlive-core/texlive-core-2020-r3.ebuild
  50. BIN
      dev-cpp/Manifest.gz
  51. 2
      dev-cpp/glibmm/glibmm-2.62.0.ebuild
  52. 2
      dev-cpp/pangomm/pangomm-2.42.1.ebuild
  53. BIN
      dev-db/Manifest.gz
  54. 468
      dev-db/mariadb/mariadb-10.1.44-r1.ebuild
  55. 507
      dev-db/mariadb/mariadb-10.2.31-r1.ebuild
  56. 474
      dev-db/mariadb/mariadb-10.3.22-r1.ebuild
  57. 476
      dev-db/mariadb/mariadb-10.4.12.ebuild
  58. 30
      dev-db/mysql/mysql-8.0.19-r1.ebuild
  59. BIN
      dev-java/Manifest.gz
  60. 2
      dev-java/tomcat-servlet-api/tomcat-servlet-api-7.0.103.ebuild
  61. BIN
      dev-lang/Manifest.gz
  62. 2
      dev-lang/php/php-7.2.30.ebuild
  63. 2
      dev-lang/php/php-7.3.17.ebuild
  64. 2
      dev-lang/php/php-7.4.5.ebuild
  65. 2
      dev-lang/python/python-3.8.2-r1.ebuild
  66. 2
      dev-lang/vala/vala-0.40.20.ebuild
  67. 2
      dev-lang/vala/vala-0.46.7.ebuild
  68. BIN
      dev-libs/Manifest.gz
  69. 2
      dev-libs/atk/atk-2.34.1.ebuild
  70. 1
      dev-libs/folks/Manifest
  71. 40
      dev-libs/folks/files/0.12.1-conditional-tests.patch
  72. 47
      dev-libs/folks/files/0.12.1-meson-0.53-compat.patch
  73. 31
      dev-libs/folks/files/0.12.1-meson-0.53-compat2.patch
  74. 26
      dev-libs/folks/files/0.12.1-no-tracker-tests.patch
  75. 89
      dev-libs/folks/folks-0.12.1-r1.ebuild
  76. 90
      dev-libs/folks/folks-0.12.1.ebuild
  77. 2
      dev-libs/folks/folks-0.13.1.ebuild
  78. 2
      dev-libs/fribidi/fribidi-1.0.9.ebuild
  79. 2
      dev-libs/gjs/gjs-1.58.6.ebuild
  80. 2
      dev-libs/glib/glib-2.62.6.ebuild
  81. 2
      dev-libs/gmime/gmime-3.2.7.ebuild
  82. 2
      dev-libs/gobject-introspection-common/gobject-introspection-common-1.62.0.ebuild
  83. 2
      dev-libs/gobject-introspection/gobject-introspection-1.62.0.ebuild
  84. 2
      dev-libs/gom/gom-0.4.ebuild
  85. 2
      dev-libs/libdazzle/libdazzle-3.34.1.ebuild
  86. 2
      dev-libs/libevdev/libevdev-1.9.0.ebuild
  87. 2
      dev-libs/libgdata/libgdata-0.17.12.ebuild
  88. 2
      dev-libs/libgee/libgee-0.20.3.ebuild
  89. 2
      dev-libs/libgusb/libgusb-0.3.3.ebuild
  90. 2
      dev-libs/libgweather/libgweather-3.34.0.ebuild
  91. 2
      dev-libs/libinput/libinput-1.15.4.ebuild
  92. 2
      dev-libs/libpeas/libpeas-1.26.0.ebuild
  93. 5
      dev-libs/ocl-icd/ocl-icd-2.2.12-r3.ebuild
  94. 5
      dev-libs/opencl-icd-loader/opencl-icd-loader-2020.03.13-r1.ebuild
  95. 37
      dev-libs/ppl/files/fix-clang-build.patch
  96. 68
      dev-libs/ppl/ppl-1.2-r3.ebuild
  97. 2
      dev-libs/totem-pl-parser/totem-pl-parser-3.26.5.ebuild
  98. 2
      dev-libs/vala-common/vala-common-0.46.7.ebuild
  99. 2
      dev-libs/wayland-protocols/wayland-protocols-1.20.ebuild
  100. 2
      dev-libs/wayland/wayland-1.18.0.ebuild

BIN
Manifest.files.gz

BIN
app-accessibility/Manifest.gz

2
app-accessibility/at-spi2-atk/at-spi2-atk-2.34.2.ebuild

@ -10,7 +10,7 @@ HOMEPAGE="https://wiki.gnome.org/Accessibility"
LICENSE="LGPL-2.1+"
SLOT="2"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~x64-macos ~x86-macos"
KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc x86 ~amd64-linux ~x86-linux ~x64-macos ~x86-macos"
IUSE="test"
RESTRICT="!test? ( test )"

4
app-accessibility/at-spi2-core/at-spi2-core-2.34.0.ebuild

@ -1,4 +1,4 @@
# Copyright 1999-2019 Gentoo Authors
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@ -11,7 +11,7 @@ HOMEPAGE="https://wiki.gnome.org/Accessibility"
LICENSE="LGPL-2.1+"
SLOT="2"
IUSE="X gtk-doc +introspection"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~x64-macos ~x86-macos"
KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc x86 ~amd64-linux ~x86-linux ~x64-macos ~x86-macos"
RDEPEND="
>=sys-apps/dbus-1.5[${MULTILIB_USEDEP}]

1
app-accessibility/orca/Manifest

@ -1,2 +1 @@
DIST orca-3.32.0.tar.xz 2512032 BLAKE2B eae6c726e5e7361b7d60f0907f8c62c476895d681cf424940586e6308bcde147094a9557243aae6ecffef142bd556cb3cb30839955403e0958f123672400bf0a SHA512 015aa26ddaffa53d646e5d708ffed9e771beebbe925c27b963cbd3c3a2b36f730c0668cac6b89a371cd81cf8a570eb591711ba923fa4d013e00e31667749cf20
DIST orca-3.34.2.tar.xz 3509556 BLAKE2B 4e73517660b837cec6d4dc12e3b2e57dec526f22aa407ababee2cb12c3aa8807184649b6962f26551926b1b3f8c49230054b4ef5583e15eeeb94685aaaf3ca13 SHA512 b685bd8e417d74ccc0d0ce6b15b3220e5079320198886f568147480f107f7d0273cbd412fdc2c6cc509d3210b36c40aecb50e167d43120f6770ce02a0891ad20

59
app-accessibility/orca/orca-3.32.0-r1.ebuild

@ -1,59 +0,0 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
GNOME2_LA_PUNT="yes"
PYTHON_COMPAT=( python3_6 )
PYTHON_REQ_USE="threads"
inherit gnome2 python-single-r1
DESCRIPTION="Extensible screen reader that provides access to the desktop"
HOMEPAGE="https://wiki.gnome.org/Projects/Orca"
LICENSE="LGPL-2.1+ CC-BY-SA-3.0"
SLOT="0"
KEYWORDS="~alpha amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~sparc x86"
IUSE="+braille"
REQUIRED_USE="${PYTHON_REQUIRED_USE}"
COMMON_DEPEND="${PYTHON_DEPS}
>=app-accessibility/at-spi2-atk-2.32:2
>=app-accessibility/at-spi2-core-2.32:2[introspection]
>=dev-libs/atk-2.32
>=dev-libs/glib-2.28:2
media-libs/gstreamer:1.0[introspection]
>=x11-libs/gtk+-3.6.2:3[introspection]
$(python_gen_cond_dep '
dev-python/gst-python:1.0[${PYTHON_MULTI_USEDEP}]
>=dev-python/pygobject-3.18:3[${PYTHON_MULTI_USEDEP}]
')
braille? (
$(python_gen_cond_dep '
>=app-accessibility/brltty-5.0-r3[python,${PYTHON_MULTI_USEDEP}]
dev-libs/liblouis[python,${PYTHON_MULTI_USEDEP}]
')
)
"
RDEPEND="${COMMON_DEPEND}
dev-libs/atk[introspection]
$(python_gen_cond_dep '
>=app-accessibility/speech-dispatcher-0.8[python,${PYTHON_MULTI_USEDEP}]
>=dev-python/pyatspi-2.32[${PYTHON_MULTI_USEDEP}]
dev-python/setproctitle[${PYTHON_MULTI_USEDEP}]
')
x11-libs/libwnck:3[introspection]
x11-libs/pango[introspection]
"
DEPEND="${COMMON_DEPEND}
>=dev-util/intltool-0.50
dev-util/itstool
virtual/pkgconfig
"
# app-text/yelp-tools
src_configure() {
gnome2_src_configure \
$(use_with braille liblouis)
}

2
app-accessibility/orca/orca-3.34.2.ebuild

@ -13,7 +13,7 @@ HOMEPAGE="https://wiki.gnome.org/Projects/Orca"
LICENSE="LGPL-2.1+ CC-BY-SA-3.0"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~sparc ~x86"
KEYWORDS="~alpha amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~sparc x86"
IUSE="+braille"
REQUIRED_USE="${PYTHON_REQUIRED_USE}"

BIN
app-admin/Manifest.gz

2
app-admin/vault/Manifest

@ -4,3 +4,5 @@ DIST vault-1.2.4-webui.tar.xz 1919024 BLAKE2B c1fc1460d70f33695ce9f7571a701035b0
DIST vault-1.2.4.tar.gz 27778766 BLAKE2B 536dd114c0268f91eb6b5c13cc30d22cdb9d1085c1378c6e39a6fcffeb4d5313363d225c85073a4da124962d6f7de8e4800a6648e392909a9595341ac178d94a SHA512 35a91088ac6949863e2de651edac19d73586acc2f42d14e48d3b41236d9458c95e60f8ec2285b3846ff04ebe59a4d4b308686151d758b5af8caad711441e2ee4
DIST vault-1.3.0-webui.tar.xz 2004176 BLAKE2B f17b51346e694e13cb51779f158116cd1e241ba1a90c5e384b40fafc916386fd12ae7e09e11b083f1ff8cb8aa89a94f811029edc10fceec2a08cbe8e65b1bac4 SHA512 2f3695134ffd9af478568b08fc66b593d00c0990178af2f3d0e8b27c53afeed1f7926d97afa688b21cca931665b435e85c036a9970f71355977815f214c66c0c
DIST vault-1.3.0.tar.gz 31098388 BLAKE2B 81ac68f47eed4a9e0187774558d38701f4e1481b07bd8a6f310741741a112dcf8e8344e156b6cef2a05e115da998fafab9627d62e261ffb8995ebdd2468f770a SHA512 4011706c2d418e4e13369f5afa5541af8296d6731c12aa670ed0fce66cc4d950edb76a0d24722be6b63538dc3479dcf68bb89ce7d9f37437062635feb6432165
DIST vault-1.4.0-webui.tar.xz 1211468 BLAKE2B 5a7b221f2339ca451f6bc2df7b1a4611a9f7786305ec0631d0e7130fb0287f764553d8a8a99ade5d28a2ae39fca1028b5a3c7299a5049acff0d1a3c1e9b8124f SHA512 3b17221e189f9e5fa73afbae3496e4d1105401a94ce5f99ff1c6975ca25b20485a05dc7f0b0c469d29d896524370d8fa23157d401d28e2e92a71a4813a4d9ba6
DIST vault-1.4.0.tar.gz 33097110 BLAKE2B 837f23a50128b0fab6542fc6a596d911267a1e14453091f22171db2ccf6a1a3d0aacdb3f210ac0d07efc7ed5ce845a197f61dd4dab37c35ad6f0f47cefc09c9d SHA512 13c1fb901fe577d91f2734f8a0ae5e51083e1307e7fc32a4388a1be48f2c46cd3d121432fa7450d6f9b439285d3ad5819b123631f41bb347e8d75ce683d24a7e

72
app-admin/vault/vault-1.4.0.ebuild

@ -0,0 +1,72 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit fcaps go-module systemd
DESCRIPTION="A tool for managing secrets"
HOMEPAGE="https://vaultproject.io/"
VAULT_WEBUI_ARCHIVE="${P}-webui.tar.xz"
SRC_URI="https://github.com/hashicorp/vault/archive/v${PV}.tar.gz -> ${P}.tar.gz
webui? (
https://dev.gentoo.org/~williamh/dist/${VAULT_WEBUI_ARCHIVE}
)"
LICENSE="MPL-2.0 Apache-2.0 BSD BSD-2 CC-BY-SA-4.0 ISC MIT"
SLOT="0"
KEYWORDS="~amd64"
IUSE="+webui"
BDEPEND="dev-go/gox"
COMMON_DEPEND="acct-group/vault
acct-user/vault"
DEPEND="${COMMON_DEPEND}"
RDEPEND="${COMMON_DEPEND}"
FILECAPS=(
-m 755 'cap_ipc_lock=+ep' usr/bin/${PN}
)
RESTRICT+=" test"
src_prepare() {
default
# Avoid the need to have a git checkout
sed -e 's:^\(GIT_COMMIT=\).*:\1:' \
-e 's:^\(GIT_DIRTY=\).*:\1:' \
-e s:\'\${GIT_COMMIT}\${GIT_DIRTY}\':: \
-i scripts/build.sh || die
sed -e "/hooks/d" \
-e 's|^\([[:space:]]*\)goimports .*)|\1true|' \
-i Makefile || die
if [[ -f "${WORKDIR}/http/bindata_assetfs.go" ]]; then
mv "${WORKDIR}/http/bindata_assetfs.go" "${S}/http" ||
die "mv failed"
fi
}
src_compile() {
mkdir "${T}"/bin || die
BUILD_TAGS="$(usex webui ui '')" \
GOFLAGS="-mod=vendor" \
GOPATH="${T}" \
XC_ARCH=$(go env GOARCH) \
XC_OS=$(go env GOOS) \
XC_OSARCH=$(go env GOOS)/$(go env GOARCH) \
emake
}
src_install() {
dobin bin/${PN}
dodoc CHANGELOG.md CONTRIBUTING.md README.md
insinto /etc/${PN}.d
doins "${FILESDIR}/"*.json.example
insinto /etc/logrotate.d
newins "${FILESDIR}/${PN}.logrotated" "${PN}"
newinitd "${FILESDIR}/${PN}.initd" "${PN}"
newconfd "${FILESDIR}/${PN}.confd" "${PN}"
systemd_dounit "${FILESDIR}/${PN}.service"
keepdir /var/log/${PN}
fowners ${PN}:${PN} /var/log/${PN}
}

BIN
app-arch/Manifest.gz

1
app-arch/file-roller/Manifest

@ -1,2 +1 @@
DIST file-roller-3.32.3.tar.xz 852808 BLAKE2B 939b931d7b179cc45ca3766dd122e2242e4de22b8c15f0942c31b5f9b5e8eed9d636122445d265539f9368f86d2efc10af161aaa046b3de6be05072d2b53004b SHA512 8256995f776524772936c6d60777c6c2668a610a672788a51ed83de1ae1c131b12373d2a918658f64f004757bb8c71b03edbf0c89776fcad6d64b4fc7fdb8e49
DIST file-roller-3.32.4.tar.xz 854444 BLAKE2B 04264e64af8ab4376fa6985683b16be7fef730a4e24044f726933b885aaaa6b630f347a256b09c2ce6183d0a0a392b33b4328715bf6d19cf7128c1980f9f4792 SHA512 16b5ddbdeacf4e9e61265ecff05e8f2e0034147c67ae7355d2442f9b26098ff253d24cb34c8e686c2ac031da6acac8e1e3c8a9f978e1eb2b446b1e045babafc7

91
app-arch/file-roller/file-roller-3.32.3.ebuild

@ -1,91 +0,0 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit gnome.org gnome2-utils meson readme.gentoo-r1 xdg
DESCRIPTION="Archive manager for GNOME"
HOMEPAGE="https://wiki.gnome.org/Apps/FileRoller"
LICENSE="GPL-2+ CC-BY-SA-3.0"
SLOT="0"
IUSE="libnotify nautilus packagekit"
KEYWORDS="~alpha amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~sparc x86 ~amd64-linux ~x86-linux"
# gdk-pixbuf used extensively in the source
# cairo used in eggtreemultidnd.c
# pango used in fr-window
RDEPEND="
>=app-arch/libarchive-3:=
>=dev-libs/glib-2.36:2
>=dev-libs/json-glib-0.14
>=x11-libs/gtk+-3.13.2:3
x11-libs/cairo
x11-libs/gdk-pixbuf:2
x11-libs/pango
libnotify? ( >=x11-libs/libnotify-0.4.3:= )
nautilus? ( >=gnome-base/nautilus-2.22.2 )
packagekit? ( app-admin/packagekit-base )
"
DEPEND="${RDEPEND}"
BDEPEND="
dev-util/glib-utils
dev-util/itstool
>=sys-devel/gettext-0.19.8
virtual/pkgconfig
"
DISABLE_AUTOFORMATTING="yes"
DOC_CONTENTS="
${PN} is a frontend for several archiving utilities. If you want a
particular archive format support, see ${HOMEPAGE}
and install the relevant package. For example:
7-zip - app-arch/p7zip
ace - app-arch/unace
arj - app-arch/arj
brotli - app-arch/brotli
cpio - app-arch/cpio
deb - app-arch/dpkg
iso - app-cdr/cdrtools
jar,zip - app-arch/zip and app-arch/unzip
lha - app-arch/lha
lzop - app-arch/lzop
lz4 - app-arch/lz4
rar - app-arch/unrar or app-arch/unar
rpm - app-arch/rpm
unstuff - app-arch/stuffit
zoo - app-arch/zoo"
src_prepare() {
# File providing Gentoo package names for various archivers
cp -v "${FILESDIR}"/3.32-packages.match data/packages.match || die
xdg_src_prepare
}
src_configure() {
local emesonargs=(
-Drun-in-place=false
$(meson_use nautilus nautilus-actions)
$(meson_use libnotify notification)
$(meson_use packagekit)
-Dlibarchive=true
)
meson_src_configure
}
src_install() {
meson_src_install
readme.gentoo_create_doc
}
pkg_postinst() {
xdg_pkg_postinst
gnome2_schemas_update
readme.gentoo_print_elog
}
pkg_postrm() {
xdg_pkg_postrm
gnome2_schemas_update
}

2
app-arch/file-roller/file-roller-3.32.4.ebuild

@ -10,7 +10,7 @@ HOMEPAGE="https://wiki.gnome.org/Apps/FileRoller"
LICENSE="GPL-2+ CC-BY-SA-3.0"
SLOT="0"
IUSE="libnotify nautilus packagekit"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux"
KEYWORDS="~alpha amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~sparc x86 ~amd64-linux ~x86-linux"
# gdk-pixbuf used extensively in the source
# cairo used in eggtreemultidnd.c

2
app-arch/gcab/gcab-1.4.ebuild

@ -11,7 +11,7 @@ HOMEPAGE="https://wiki.gnome.org/msitools"
LICENSE="LGPL-2.1+"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sparc ~x86"
KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sparc x86"
IUSE="gtk-doc +introspection test vala"
REQUIRED_USE="vala? ( introspection )"

BIN
app-cdr/Manifest.gz

4
app-cdr/bchunk/bchunk-1.2.0-r4.ebuild

@ -1,4 +1,4 @@
# Copyright 1999-2019 Gentoo Authors
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI="6"
@ -9,7 +9,7 @@ SRC_URI="http://he.fi/bchunk/${P}.tar.gz"
LICENSE="GPL-2+"
SLOT="0"
KEYWORDS="amd64 ppc ppc64 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x86-solaris"
KEYWORDS="amd64 ppc ppc64 ~sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x86-solaris"
DOCS=( "${P}.lsm" "${PN}.spec" README ChangeLog )
PATCHES=( "${FILESDIR}/CVE-2017-15953.patch" "${FILESDIR}/CVE-2017-15955.patch" )

BIN
app-crypt/Manifest.gz

2
app-crypt/libsecret/libsecret-0.20.2.ebuild

@ -19,7 +19,7 @@ RESTRICT="!test? ( test )"
REQUIRED_USE="test? ( introspection )
vala? ( introspection )"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86"
KEYWORDS="~alpha amd64 ~arm ~arm64 ~ia64 ~mips ~ppc ~ppc64 ~sparc x86"
RDEPEND="
>=dev-libs/glib-2.44:2[${MULTILIB_USEDEP}]

BIN
app-editors/Manifest.gz

1
app-editors/gedit-plugins/Manifest

@ -1,2 +1 @@
DIST gedit-plugins-3.32.2.tar.xz 1474264 BLAKE2B feb116ec201b9eb9630570818cc288f0044ecfc174fc84c7d812aa6dfba5cc3748b4e2351ffa2be0d3a593a58b2318c4296b54b84476fc887195ee27f27bb597 SHA512 2767bc766daba5e1c81ef5a00bc3589a301c02e0286a6622cf11a03b5b391ecbcf9456187563dad4f2916610ee9ddca4414ff4beb639820954385ee3f8091d2a
DIST gedit-plugins-3.34.1.tar.xz 978800 BLAKE2B 03225ddc414e172f08179c64fbf12d0282c131b71855ca9dc20ceaa5750a5555c7bdde8c4ff1d95c721177b3d379edbcfc9af19ec22b96942df1913d13560303 SHA512 7fe31c2b0a1381a44362bd6066422d182b2246e3f903f8cd83cde0467b9853620a445bea7878d93e95a0a71ac5d5dd081a1930d602007cf2a6ef00b1a45bebfc

95
app-editors/gedit-plugins/gedit-plugins-3.32.2-r1.ebuild

@ -1,95 +0,0 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI="6"
GNOME2_LA_PUNT="yes" # plugins are dlopened
PYTHON_COMPAT=( python3_{6,7,8} )
PYTHON_REQ_USE="xml"
VALA_MIN_API_VERSION="0.28"
inherit eutils gnome2 multilib python-single-r1 vala
DESCRIPTION="Official plugins for gedit"
HOMEPAGE="https://wiki.gnome.org/Apps/Gedit/ShippedPlugins"
LICENSE="GPL-2+"
KEYWORDS="amd64 x86"
SLOT="0"
IUSE_plugins="charmap git terminal vala"
IUSE="+python ${IUSE_plugins}"
# python-single-r1 would request disabling PYTHON_TARGETS on libpeas
REQUIRED_USE="
charmap? ( python )
git? ( python )
python? ( ${PYTHON_REQUIRED_USE} )
terminal? ( python )
"
RDEPEND="
>=app-editors/gedit-3.16
>=dev-libs/glib-2.32:2
>=dev-libs/libpeas-1.7.0[gtk]
>=x11-libs/gtk+-3.9:3
>=x11-libs/gtksourceview-4.0.2:4
python? (
${PYTHON_DEPS}
$(python_gen_cond_dep '
>=app-editors/gedit-3.16[introspection,python,${PYTHON_SINGLE_USEDEP}]
dev-libs/libpeas[python,${PYTHON_SINGLE_USEDEP}]
>=dev-python/dbus-python-0.82[${PYTHON_MULTI_USEDEP}]
dev-python/pycairo[${PYTHON_MULTI_USEDEP}]
dev-python/pygobject:3[cairo,${PYTHON_MULTI_USEDEP}]
')
>=x11-libs/gtk+-3.9:3[introspection]
>=x11-libs/gtksourceview-4.0.2:4[introspection]
x11-libs/pango[introspection]
x11-libs/gdk-pixbuf:2[introspection]
)
charmap? ( >=gnome-extra/gucharmap-3:2.90[introspection] )
git? ( >=dev-libs/libgit2-glib-0.0.6 )
terminal? ( >=x11-libs/vte-0.52:2.91[introspection] )
vala? ( $(vala_depend) )
" # vte-0.52+ for feed_child API compatibility
DEPEND="${RDEPEND}
dev-util/itstool
>=sys-devel/gettext-0.19.8
virtual/pkgconfig
"
pkg_setup() {
use python && [[ ${MERGE_TYPE} != binary ]] && python-single-r1_pkg_setup
}
src_prepare() {
use vala && vala_src_prepare
gnome2_src_prepare
}
src_configure() {
gnome2_src_configure \
$(use_enable python) \
$(use_enable vala)
}
src_install() {
gnome2_src_install
# FIXME: crazy !!!
if use python; then
find "${ED}"/usr/share/gedit -name "*.py*" -delete || die
find "${ED}"/usr/share/gedit -type d -empty -delete || die
fi
# FIXME: upstream made this automagic...
clean_plugin charmap
clean_plugin git
clean_plugin terminal
}
clean_plugin() {
if use !${1} ; then
rm -rf "${ED}"/usr/share/gedit/plugins/${1}*
rm -rf "${ED}"/usr/$(get_libdir)/gedit/plugins/${1}*
fi
}

2
app-editors/gedit-plugins/gedit-plugins-3.34.1.ebuild

@ -12,7 +12,7 @@ DESCRIPTION="Collection of extra plugins for the gedit Text Editor"
HOMEPAGE="https://wiki.gnome.org/Apps/Gedit/ShippedPlugins"
LICENSE="GPL-2+"
KEYWORDS="~amd64 ~x86"
KEYWORDS="amd64 x86"
SLOT="0"
IUSE="charmap git +python terminal vala"

1
app-editors/gedit/Manifest

@ -1,2 +1 @@
DIST gedit-3.32.2.tar.xz 14789660 BLAKE2B 574a490e3beda9e8b4f8324409f3a1e3361b1fdd097c4bf8d05475be2a6bb66b230ab6d2047caa62c393458c29b6647c32293ce5c1428d030cb2345c19bf41c3 SHA512 a3ed4dea3d0f60fb2371d2b6bbf5f5db1f67c9a71d0d47836456e022903e86b8b127c88ece6a6d817b0c86ff82612c963a9e8ed60f9841af68474a1d129c886d
DIST gedit-3.34.1.tar.xz 14797588 BLAKE2B 8dfaac4660575d67e3f8396dfed675a737fc69bc2b34866ee467a3464a338240133cab8d067db7b87fdc129f06a2450b91f4e0f70a73912d4a274cca980196d6 SHA512 22968c678a2f7ecf062f490d5eedc97aaa53b15932db801ea83eb336f01f41e7a6037a85508a40164f38dee406f8db097b7ef6f1481ab44ea82668766d24966d

49
app-editors/gedit/files/3.32.2-fix-parallel-build.patch

@ -1,49 +0,0 @@
From 79ff20c4123fb674b467f78b542f048f07516652 Mon Sep 17 00:00:00 2001
From: Will Thompson <wjt@endlessm.com>
Date: Wed, 17 Apr 2019 06:29:27 +0100
Subject: [PATCH] filebrowser: fix build order for enum-types.h
On Endless's package build server, building gedit on x86_64 failed as
follows:
[ 194s] [97/147] /usr/bin/meson --internal exe /usr/src/packages/BUILD/obj-x86_64-linux-gnu/meson-private/meson_exe_gedit-tool-merge.pl_cd41154a78cf16ac2c5a9a58261cb6418b36427a.dat
[ 195s] [98/147] /usr/bin/msgfmt --desktop --keyword=Name --keyword=Description --template=../plugins/externaltools/externaltools.plugin.desktop.in -d /usr/src/packages/BUILD/po --output=plugins/externaltools/externaltools.plugin
[ 195s] [99/147] /usr/bin/meson --internal exe /usr/src/packages/BUILD/obj-x86_64-linux-gnu/meson-private/meson_exe_glib-mkenums_ea0cb1ece8d7fa2e9a3e7c5a57f45df212823d0f.dat
[ 195s] [100/147] cc -Iplugins/filebrowser/5f8d977@@filebrowser@sha -Iplugins/filebrowser -I../plugins/filebrowser -I. -I../ -Isubprojects/libgd -I../subprojects/libgd -Iplugins/filebrowser/resources -Igedit -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include -I/usr/include/libmount -I/usr/include/blkid -I/usr/include/uuid -I/usr/include/at-spi2-atk/2.0 -I/usr/include/at-spi-2.0 -I/usr/include/dbus-1.0 -I/usr/lib/x86_64-linux-gnu/dbus-1.0/include -I/usr/include/gtk-3.0 -I/usr/include/gio-unix-2.0 -I/usr/include/libdrm -I/usr/include/harfbuzz -I/usr/include/pango-1.0 -I/usr/include/fribidi -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng16 -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/gtksourceview-4 -I/usr/include/libxml2 -I/usr/include/libpeas-1.0 -I/usr/include/gobject-introspection-1.0 -fdiagnostics-color=always -pipe -D_FILE_OFFSET_BITS=64 -g -O2 -fdebug-prefix-map=/usr/src/packages/BUILD=. -fstack-protector-strong -Wformat -Werror=format-security -Wdate-time -D_FORTIFY_SOURCE=2 -fPIC -pthread -DLIBGD_TAGGED_ENTRY=1 -DHAVE_CONFIG_H -MD -MQ 'plugins/filebrowser/5f8d977@@filebrowser@sha/gedit-file-browser-plugin.c.o' -MF 'plugins/filebrowser/5f8d977@@filebrowser@sha/gedit-file-browser-plugin.c.o.d' -o 'plugins/filebrowser/5f8d977@@filebrowser@sha/gedit-file-browser-plugin.c.o' -c ../plugins/filebrowser/gedit-file-browser-plugin.c
[ 195s] FAILED: plugins/filebrowser/5f8d977@@filebrowser@sha/gedit-file-browser-plugin.c.o
[ 195s] cc -Iplugins/filebrowser/5f8d977@@filebrowser@sha -Iplugins/filebrowser -I../plugins/filebrowser -I. -I../ -Isubprojects/libgd -I../subprojects/libgd -Iplugins/filebrowser/resources -Igedit -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include -I/usr/include/libmount -I/usr/include/blkid -I/usr/include/uuid -I/usr/include/at-spi2-atk/2.0 -I/usr/include/at-spi-2.0 -I/usr/include/dbus-1.0 -I/usr/lib/x86_64-linux-gnu/dbus-1.0/include -I/usr/include/gtk-3.0 -I/usr/include/gio-unix-2.0 -I/usr/include/libdrm -I/usr/include/harfbuzz -I/usr/include/pango-1.0 -I/usr/include/fribidi -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng16 -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/gtksourceview-4 -I/usr/include/libxml2 -I/usr/include/libpeas-1.0 -I/usr/include/gobject-introspection-1.0 -fdiagnostics-color=always -pipe -D_FILE_OFFSET_BITS=64 -g -O2 -fdebug-prefix-map=/usr/src/packages/BUILD=. -fstack-protector-strong -Wformat -Werror=format-security -Wdate-time -D_FORTIFY_SOURCE=2 -fPIC -pthread -DLIBGD_TAGGED_ENTRY=1 -DHAVE_CONFIG_H -MD -MQ 'plugins/filebrowser/5f8d977@@filebrowser@sha/gedit-file-browser-plugin.c.o' -MF 'plugins/filebrowser/5f8d977@@filebrowser@sha/gedit-file-browser-plugin.c.o.d' -o 'plugins/filebrowser/5f8d977@@filebrowser@sha/gedit-file-browser-plugin.c.o' -c ../plugins/filebrowser/gedit-file-browser-plugin.c
[ 195s] ../plugins/filebrowser/gedit-file-browser-plugin.c:35:10: fatal error: gedit-file-browser-enum-types.h: No such file or directory
[ 195s] #include "gedit-file-browser-enum-types.h"
[ 195s] ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
[ 195s] compilation terminated.
I couldn't reproduce this locally, perhaps because I have the wrong number
of cores. However, exploring the build graph with:
ninja -t browse plugins/filebrowser/5f8d977@@filebrowser@sha/libfilebrowser.so.symbols
showed that there was no dependency between
gedit-file-browser-plugin.c.o and gedit-file-browser-enum-types.h.
Adding the generated gedit-file-browser-enum-types.h to the sources for
this shared_library() causes an (order-only) dependency to be added,
ensuring that gedit-file-browser-enum-types.h is generated before
gedit-file-browser-plugin.c is compiled.
---
plugins/filebrowser/meson.build | 1 +
1 file changed, 1 insertion(+)
diff --git a/plugins/filebrowser/meson.build b/plugins/filebrowser/meson.build
index 708f7f1d4..94a4ab0a6 100644
--- a/plugins/filebrowser/meson.build
+++ b/plugins/filebrowser/meson.build
@@ -59,6 +59,7 @@ libfilebrowser_enums_c = custom_target('libfilebrowser_enums_c',
libfilebrowser_sources += [
libfilebrowser_enums_c,
+ libfilebrowser_type_enums.get(1),
]
subdir('resources')
--
2.20.1

102
app-editors/gedit/gedit-3.32.2-r1.ebuild

@ -1,102 +0,0 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=( python3_{6,7,8} )
VALA_MIN_API_VERSION="0.26"
VALA_USE_DEPEND="vapigen"
inherit gnome.org gnome2-utils meson python-single-r1 vala xdg
DESCRIPTION="A text editor for the GNOME desktop"
HOMEPAGE="https://wiki.gnome.org/Apps/Gedit"
LICENSE="GPL-2+ CC-BY-SA-3.0"
SLOT="0"
IUSE="+introspection +python gtk-doc spell vala"
REQUIRED_USE="python? ( introspection ${PYTHON_REQUIRED_USE} ) spell? ( python )"
KEYWORDS="~alpha amd64 ~arm ~arm64 ~ia64 ~mips ~ppc ~ppc64 ~sparc x86 ~amd64-linux ~x86-linux"
# X libs are not needed for OSX (aqua)
DEPEND="
>=dev-libs/glib-2.44:2
>=x11-libs/gtk+-3.22.0:3[introspection?]
>=x11-libs/gtksourceview-4.0.2:4[introspection?]
>=dev-libs/libpeas-1.14.1[gtk]
>=dev-libs/libxml2-2.5.0:2
>=net-libs/libsoup-2.60:2.4
x11-libs/libX11
spell? ( >=app-text/gspell-0.2.5:0= )
introspection? ( >=dev-libs/gobject-introspection-1.54:= )
python? (
${PYTHON_DEPS}
$(python_gen_cond_dep '
dev-python/pycairo[${PYTHON_MULTI_USEDEP}]
>=dev-python/pygobject-3:3[cairo,${PYTHON_MULTI_USEDEP}]
dev-libs/libpeas[python,${PYTHON_SINGLE_USEDEP}]
')
)
"
RDEPEND="${DEPEND}
x11-themes/adwaita-icon-theme
gnome-base/gsettings-desktop-schemas
gnome-base/gvfs
"
BDEPEND="
${vala_depend}
app-text/docbook-xml-dtd:4.1.2
dev-util/glib-utils
gtk-doc? ( >=dev-util/gtk-doc-1 )
dev-util/itstool
>=sys-devel/gettext-0.18
virtual/pkgconfig
"
PATCHES=(
"${FILESDIR}"/${PV}-make-spell-optional.patch
"${FILESDIR}"/${PV}-fix-parallel-build.patch # parallel build failure fix, included in 3.34
)
pkg_setup() {
use python && python-single-r1_pkg_setup
}
src_prepare() {
use vala && vala_src_prepare
xdg_src_prepare
}
src_configure() {
local emesonargs=(
$(meson_use introspection)
$(meson_use vala vapi)
$(meson_use python plugins)
$(meson_use gtk-doc documentation)
-Denable-gvfs-metadata=yes
$(meson_use spell)
)
meson_src_configure
}
# Only appdata and desktop file validation in v3.32.2
src_test() { :; }
src_install() {
meson_src_install
if use python; then
python_optimize
python_optimize "${ED}/usr/$(get_libdir)/gedit/plugins/"
fi
}
pkg_postinst() {
xdg_pkg_postinst
gnome2_schemas_update
}
pkg_postrm() {
xdg_pkg_postrm
gnome2_schemas_update
}

2
app-editors/gedit/gedit-3.34.1.ebuild

@ -17,7 +17,7 @@ SLOT="0"
IUSE="+introspection +python gtk-doc spell vala"
REQUIRED_USE="python? ( introspection ${PYTHON_REQUIRED_USE} ) spell? ( python )"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux"
KEYWORDS="~alpha amd64 ~arm ~arm64 ~ia64 ~mips ~ppc ~ppc64 ~sparc x86 ~amd64-linux ~x86-linux"
# X libs are not needed for OSX (aqua)
DEPEND="

BIN
app-misc/Manifest.gz

1
app-misc/bijiben/Manifest

@ -1,2 +1 @@
DIST bijiben-3.32.2.tar.xz 659988 BLAKE2B a155b3ad4d340b6efe039ae8458be6665f5ea37935b2040d8aa59f4b019a7ce2a9bb42c309fbc212b8f87cd2e3db533305b64d6987b3b527435ab9906165a7ff SHA512 71573ced01a5e984998fc5ce97ebbd4fcf04a91165465697ff29ea67076a31654b8f66a93c3ed79b30a8af2e38fad3ac4bfc3047106411078c6cbb67c20d5c5d
DIST bijiben-3.34.2.tar.xz 663348 BLAKE2B 7736823334c5439f1da93e81940f6a433b48cf94173606b1985912b408ebaa05d14866b0bbdd0978c08456fe5a592829203aa7fdd31291748148d7973ab3d8ab SHA512 75e1286aabd5c0d5aca3d2150aa36f18873cc0bfeed24a1b6aa9f4d78318d37712df71929f453b2db871021f4df148af8a9ef64d563a2158db8c1dbb620e4538

53
app-misc/bijiben/bijiben-3.32.2.ebuild

@ -1,53 +0,0 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit gnome.org gnome2-utils meson xdg
DESCRIPTION="Note editor designed to remain simple to use"
HOMEPAGE="https://wiki.gnome.org/Apps/Notes"
LICENSE="GPL-3+"
SLOT="0"
KEYWORDS="amd64 x86"
IUSE=""
DEPEND="
app-misc/tracker:0/2.0
>=dev-libs/glib-2.53.4:2
net-libs/gnome-online-accounts:=
>=x11-libs/gtk+-3.19.3:3
>=gnome-extra/evolution-data-server-3.13.90:=
<gnome-extra/evolution-data-server-3.33
dev-libs/libxml2:2
sys-apps/util-linux
>=net-libs/webkit-gtk-2.10:4
"
RDEPEND="${DEPEND}"
BDEPEND="
dev-libs/appstream-glib
dev-util/gdbus-codegen
dev-util/glib-utils
dev-util/itstool
>=sys-devel/gettext-0.19.8
virtual/pkgconfig
"
src_configure() {
local emesonargs=(
-Dzeitgeist=false
-Dupdate_mimedb=false
-Dprivate_store=false # private store is mainly meant for flatpak builds
)
meson_src_configure
}
pkg_postinst() {
xdg_pkg_postinst
gnome2_schemas_update
}
pkg_postrm() {
xdg_pkg_postrm
gnome2_schemas_update
}

2
app-misc/bijiben/bijiben-3.34.2.ebuild

@ -9,7 +9,7 @@ HOMEPAGE="https://wiki.gnome.org/Apps/Notes"
LICENSE="GPL-3+"
SLOT="0"
KEYWORDS="~amd64 ~x86"
KEYWORDS="amd64 x86"
IUSE=""
DEPEND="

2
app-misc/tracker-miners/tracker-miners-2.3.3.ebuild

@ -16,7 +16,7 @@ IUSE="cue exif ffmpeg gif gsf +gstreamer iptc +iso +jpeg libav +pdf +playlist ra
REQUIRED_USE="cue? ( gstreamer )" # cue is currently only supported via gstreamer, not ffmpeg/libav
RESTRICT="!test? ( test )"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~sparc ~x86"
KEYWORDS="~alpha amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~sparc x86"
# tracker-2.1.7 currently always depends on ICU (theoretically could be libunistring instead); so choose ICU over enca always here for the time being (ICU is preferred)
RDEPEND="

2
app-misc/tracker/tracker-2.3.4.ebuild

@ -14,7 +14,7 @@ LICENSE="GPL-2+ LGPL-2.1+"
SLOT="0/2.0"
IUSE="gtk-doc +miners networkmanager stemmer"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~sparc ~x86"
KEYWORDS="~alpha amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~sparc x86"
#RESTRICT="!test? ( test )"
PV_SERIES=$(ver_cut 1-2)

BIN
app-office/Manifest.gz

77
app-office/planner/planner-0.14.6_p20130520-r1.ebuild

@ -1,77 +0,0 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
GNOME2_LA_PUNT="yes"
PYTHON_COMPAT=( python2_7 )
inherit gnome2 python-single-r1
DESCRIPTION="Project manager for Gnome"
HOMEPAGE="https://wiki.gnome.org/Apps/Planner"
SRC_URI="https://dev.gentoo.org/~eva/distfiles/${PN}/${P}.tar.xz"
SLOT="0"
LICENSE="GPL-2"
KEYWORDS="~alpha amd64 ~ppc ~sparc x86"
IUSE="eds examples python"
REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
RDEPEND="
>=dev-libs/glib-2.6:2
>=x11-libs/gtk+-2.24:2
>=gnome-base/libgnomecanvas-2.10
>=gnome-base/libglade-2.4:2.0
>=gnome-base/gconf-2.10:2
>=dev-libs/libxml2-2.6.27:2
>=dev-libs/libxslt-1.1.23
python? (
${PYTHON_DEPS}
$(python_gen_cond_dep '
>=dev-python/pygtk-2.6:2[${PYTHON_MULTI_USEDEP}] )
')
eds? (
>=gnome-extra/evolution-data-server-3.6:=
>=mail-client/evolution-3.6 )
"
DEPEND="${RDEPEND}
app-text/rarian
dev-util/gtk-doc-am
>=dev-util/intltool-0.35.5
gnome-base/gnome-common
virtual/pkgconfig
"
S="${WORKDIR}/${PN}-0.14.6"
pkg_setup() {
use python && python-single-r1_pkg_setup
}
src_configure() {
# FIXME: disable eds backend for now, it fails, upstream bug #654005
# We need to set compile-warnings to a different value as it doesn't use
# standard macro: https://bugzilla.gnome.org/703067
gnome2_src_configure \
$(use_enable python) \
$(use_enable python python-plugin) \
$(use_enable eds) \
--disable-eds-backend \
--with-database=no \
--disable-update-mimedb \
--enable-compile-warnings=yes
#$(use_enable eds eds-backend)
}
src_install() {
# error: relink `libstorage-mrproject-1.la' with the above command before installing it
# Try to drop workaround on next snapshot or bump
MAKEOPTS="${MAKEOPTS} -j1" gnome2_src_install \
sqldocdir="\$(datadir)/doc/${PF}" \
sampledir="\$(datadir)/doc/${PF}/examples"
if ! use examples; then
rm -rf "${D}/usr/share/doc/${PF}/examples"
fi
}

2
app-office/planner/planner-0.14.6_p20130520-r2.ebuild

@ -12,7 +12,7 @@ SRC_URI="https://dev.gentoo.org/~eva/distfiles/${PN}/${P}.tar.xz"
SLOT="0"
LICENSE="GPL-2"
KEYWORDS="~alpha ~amd64 ~ppc ~sparc ~x86"
KEYWORDS="~alpha amd64 ~ppc ~sparc x86"
IUSE="eds examples"

BIN
app-portage/Manifest.gz

1
app-portage/cpuid2cpuflags/Manifest

@ -1,2 +1,3 @@
DIST cpuid2cpuflags-8.tar.bz2 82432 BLAKE2B c4284106a4b1433e266e364b40dd50cf801f6b4afcb6928b13c1ac58ea1c3854b4a952f6ac914ef995aaa8bc9cfd8a4428c84386eb2949f83228a5b9d9781ada SHA512 167ee1620d6d726ef849d265785b568bb72a1aae15f5f0c527a903424c8ce9519033c49e8a143ae093b56e25fd71b4746793fb825233173fe60ac29eeecca20c
DIST cpuid2cpuflags-9.tar.bz2 82841 BLAKE2B 6f866a29680b53975359c56f54f3ecd8e978fe55297fdfcb84b25f57dc38bb0fb5c2169dde83e29235d13667a43faa11d75fa15e3d8fbef65a86cea2832363c4 SHA512 61a265abfd5b0920e1b3c18d322dceb416a6a353b3d3ef3f01ab1d02aab1b45dd1ec4eed4ccf667eae82c953830f29d22a671dd7d7c2b4d309050033af1fd5b7
DIST cpuinfo2cpuflags-1.tar.gz 1429 BLAKE2B 5126e643e5e2ea0be2418068fbcfbbae1781a0e3ab7903d909d4a5a291cb2e5db132a7a6a5c6db12a757688efca0557e4331a91f64af4b7e47deca415fd05b34 SHA512 68a21cfdb0fc8c6eb5aad5c6702d50dd56c927b2010efea1651dbc6a9657654b770bc5a4055fb11e790066c2c63c9ea29c3e03d91057abe187e7029e6797aede

28
app-portage/cpuid2cpuflags/cpuid2cpuflags-9.ebuild

@ -0,0 +1,28 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
DESCRIPTION="Tool to guess CPU_FLAGS_* flags for the host"
HOMEPAGE="https://github.com/mgorny/cpuid2cpuflags"
SRC_URI="https://github.com/mgorny/cpuid2cpuflags/releases/download/v${PV}/${P}.tar.bz2"
LICENSE="BSD-2"
SLOT="0"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc ppc64 ~x86 ~x64-macos ~x86-macos ~x64-solaris ~x86-solaris"
IUSE=""
pkg_postinst() {
local v
for v in ${REPLACING_VERSIONS}; do
if [[ ${v%-r*} -lt 2 ]]; then
elog 'Please note that the output has changed in v2. The new format is suitable'
elog 'both for Portage and Paludis. To use it, e.g.:'
elog
elog ' $ echo "*/* $(cpuid2cpuflags)" > /etc/portage/package.use/00cpuflags'
elog
elog '(you may need to convert package.use into a directory if you want to use'
elog ' separate file as presented here)'
fi
done
}

1
app-portage/nattka/Manifest

@ -1,4 +1,5 @@
DIST nattka-0.1.10.tar.gz 77467 BLAKE2B 2f1ccca7bab2db95be2145716ab17a48959ffef4ec41ade2e4d944b66aa1d2bb1146e43089fe75714502ada0510c6257cc1577bda9353c517572e09407f818ae SHA512 8fc3dc8e37e755c5736dd74d0fd081bbce26e5f1093401f527f8818ddf2aebbddf36feb04ca1e76fd37f2cffaecaca768e7f70ac85d0f31bab24b09a12d23cf4
DIST nattka-0.1.11.tar.gz 80381 BLAKE2B 0de07893bb5517f706fcc37b24466276a1bd9a5a973acb25ed37936f793f0d00a592d14e5b15b5aa16987aea4f2bbe9ad582475adfe89f986c8f75c5a558bcf6 SHA512 fda0a4fc997344e0db5740e9ad6ef683044ae83b1c35d48b218b7274b305057a488944ec75ebe0abcd2f999af716561956ac212a8c1bd49dbd861bcf48419033
DIST nattka-0.2.1.tar.gz 83710 BLAKE2B 06724e50eea2b25bd997991c60403e3eff21e3b1f5bd4fa5b10317a9e469f401380367f6cdef7aa52ea655ac8f0ea89d4864cbf838c9224343c9012bbb684857 SHA512 f0454c47b83113064f3757ffc4aba5a4d20d591ab18d4a01eff55f7b5208cc4ca2acc5f0ab3d494ea89de572272a1f52b4ca5879f8e59adc1640cd277cfdf8c6
DIST nattka-0.2.2.tar.gz 85213 BLAKE2B f940287f3d781d60c1d32cd4ac913e3a290e4438ab45b786cd715a4f61e48eb066a3380c5343f1cde12cc003d16bd25ae94dfb9129f0fd414add90c8ec016c5f SHA512 c83c8138843a52487f45a5d1c78839bfb40d918c9cff0feced9a6e43cb5760a21ac0faef342ee3d9ba0c58f22ac1be51fd764770d3ab7a148da92c565b964c89
DIST nattka-0.2.tar.gz 83729 BLAKE2B 686c09c03d1edab981799f07397c558bab3c2c9befdeb16e1fbb796b3eeb789cd7efc63369ce5e6a15c60b5f5b71a47074f39e851451971bdba8549175fc4024 SHA512 53a45214455febb266faa70b37782c2c1857ea3e6ec0d07dd6be4822046ee0cfe8af67c143843d292a94df94e65b244d93316a3bb3b44709b08c4a14a9de6455

35
app-portage/nattka/nattka-0.2.2.ebuild

@ -0,0 +1,35 @@
# Copyright 2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
DISTUTILS_USE_SETUPTOOLS=rdepend
PYTHON_COMPAT=( python3_{6,7,8} )
inherit distutils-r1
DESCRIPTION="A New Arch Tester Toolkit -- open-source stable-bot replacement"
HOMEPAGE="https://github.com/mgorny/nattka/"
SRC_URI="https://github.com/mgorny/nattka/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="BSD-2"
SLOT="0"
KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~s390 ~sparc ~x86"
RDEPEND="
dev-python/lxml[${PYTHON_USEDEP}]
dev-python/requests[${PYTHON_USEDEP}]
dev-util/pkgcheck[${PYTHON_USEDEP}]
dev-vcs/git
sys-apps/pkgcore[${PYTHON_USEDEP}]"
BDEPEND="
test? ( dev-python/vcrpy[${PYTHON_USEDEP}] )"
distutils_enable_sphinx doc --no-autodoc
distutils_enable_tests pytest
pkg_postinst() {
elog "NATTkA can optionally use:"
elog " dev-python/networkx"
elog "to sort 'apply' output in dependency order."
}

BIN
app-text/Manifest.gz

2
app-text/discount/discount-2.2.6.ebuild

@ -43,7 +43,7 @@ src_configure() {
--debian-glitch
)
einfo "Running ${configure_call[@]}"
CC="$(tc-getCC)" \
CC="$(tc-getCC)" AR="$(tc-getAR)" \
"${configure_call[@]}" || die
}

1
app-text/evince/Manifest

@ -1,2 +1 @@
DIST evince-3.32.1.tar.xz 2567868 BLAKE2B 8fec9ce1981fb2c5fc60c4b653f462f07f0341ebe64a5615f1e1a123533f8053c6f76a02d05da9245b4263c24df1cdd2e28aa89486b8c802a2aa14cf04faf13b SHA512 29028fedde9aff85e53a5059f63df007e1bac7d662a91fe01e1bb8c48349d5674afe3ce37f9c495e4b208fd476b22f4ecaf749c6d7c3362a03b05703400ece05
DIST evince-3.34.2.tar.xz 2565752 BLAKE2B 76497c34ce2eb460a3f2c3e790a7c44b9eeddd566854061d49fba2ba7cefa3b523d7bfe973d08b7ec1e8d967e4cbd63c73a668a346bd158a67752897f25827ee SHA512 51bfa4671e17a98c536790185ece6f4f77b956062901f840cd298cdc3e42eb7e8cabe9bfa84387f185cdf7462a322ef54bbc463b988a677af68561e55acd9f12

107
app-text/evince/evince-3.32.1.ebuild

@ -1,107 +0,0 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
GNOME2_LA_PUNT="yes"
GNOME2_EAUTORECONF="yes"
inherit gnome2 systemd
DESCRIPTION="Simple document viewer for GNOME"
HOMEPAGE="https://wiki.gnome.org/Apps/Evince"
LICENSE="GPL-2+ CC-BY-SA-3.0"
# subslot = evd3.(suffix of libevdocument3)-evv3.(suffix of libevview3)
SLOT="0/evd3.4-evv3.3"
IUSE="djvu dvi gstreamer gnome gnome-keyring +introspection nautilus nsplugin postscript spell t1lib tiff xps"
KEYWORDS="~alpha amd64 ~arm ~arm64 ~ia64 ~mips ~ppc ~ppc64 ~sparc x86 ~amd64-linux ~x86-linux ~x64-solaris"
# atk used in libview
# bundles unarr
COMMON_DEPEND="
dev-libs/atk
>=dev-libs/glib-2.36:2[dbus]
>=dev-libs/libxml2-2.5:2
sys-libs/zlib:=
>=x11-libs/gdk-pixbuf-2.36.5:2
>=x11-libs/gtk+-3.22.0:3[introspection?]
gnome-base/gsettings-desktop-schemas
>=x11-libs/cairo-1.10:=
>=app-text/poppler-0.76.0[cairo]
>=app-arch/libarchive-3.2.0
djvu? ( >=app-text/djvu-3.5.22:= )
dvi? (
virtual/tex-base
dev-libs/kpathsea:=
t1lib? ( >=media-libs/t1lib-5:= ) )
gstreamer? (
media-libs/gstreamer:1.0
media-libs/gst-plugins-base:1.0
media-libs/gst-plugins-good:1.0 )
gnome? ( gnome-base/gnome-desktop:3= )
gnome-keyring? ( >=app-crypt/libsecret-0.5 )
introspection? ( >=dev-libs/gobject-introspection-1:= )
nautilus? ( >=gnome-base/nautilus-2.91.4 )
postscript? ( >=app-text/libspectre-0.2:= )
spell? ( >=app-text/gspell-1.6.0:= )
tiff? ( >=media-libs/tiff-3.6:0= )
xps? ( >=app-text/libgxps-0.2.1:= )
"
RDEPEND="${COMMON_DEPEND}
gnome-base/gvfs
gnome-base/librsvg
|| (
>=x11-themes/adwaita-icon-theme-2.17.1
>=x11-themes/hicolor-icon-theme-0.10 )
"
DEPEND="${COMMON_DEPEND}
app-text/docbook-xml-dtd:4.3
dev-libs/appstream-glib
dev-util/gdbus-codegen
dev-util/glib-utils
>=dev-util/gtk-doc-am-1.13
dev-util/itstool
>=sys-devel/gettext-0.19.8
virtual/pkgconfig
app-text/yelp-tools
"
# eautoreconf needs:
# app-text/yelp-tools
PATCHES=(
"${FILESDIR}"/3.30.2-internal-synctex.patch # don't automagically link to synctex from texlive-core - always use internal copy of this small parser for now; requires eautoreconf
)
src_prepare() {
gnome2_src_prepare
# Do not depend on adwaita-icon-theme, bug #326855, #391859
# https://gitlab.freedesktop.org/xdg/default-icon-theme/issues/7
sed -e 's/adwaita-icon-theme >= $ADWAITA_ICON_THEME_REQUIRED//g' \
-i configure || die "sed failed"
}
src_configure() {
gnome2_src_configure \
--disable-static \
--enable-pdf \
--enable-comics \
--enable-thumbnailer \
--with-platform=gnome \
--enable-dbus \
$(use_enable djvu) \
$(use_enable dvi) \
$(use_enable gstreamer multimedia) \
$(use_enable gnome libgnome-desktop) \
$(use_with gnome-keyring keyring) \
$(use_enable introspection) \
$(use_enable nautilus) \
$(use_enable nsplugin browser-plugin) \
$(use_enable postscript ps) \
$(use_with spell gspell) \
$(use_enable t1lib) \
$(use_enable tiff) \
$(use_enable xps) \
BROWSER_PLUGIN_DIR="${EPREFIX}"/usr/$(get_libdir)/nsbrowser/plugins \
--with-systemduserunitdir="$(systemd_get_userunitdir)"
}

2
app-text/evince/evince-3.34.2.ebuild

@ -14,7 +14,7 @@ LICENSE="GPL-2+ CC-BY-SA-3.0"
# subslot = evd3.(suffix of libevdocument3)-evv3.(suffix of libevview3)
SLOT="0/evd3.4-evv3.3"
IUSE="djvu dvi gstreamer gnome gnome-keyring +introspection nautilus nsplugin postscript spell t1lib tiff xps"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux ~x64-solaris"
KEYWORDS="~alpha amd64 ~arm ~arm64 ~ia64 ~mips ~ppc ~ppc64 ~sparc x86 ~amd64-linux ~x86-linux ~x64-solaris"
# atk used in libview
# bundles unarr

2
app-text/gtkspell/gtkspell-2.0.16-r1.ebuild

@ -12,7 +12,7 @@ SRC_URI="http://${PN}.sourceforge.net/download/${P}.tar.gz"
LICENSE="GPL-2+"
SLOT="2"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux ~x86-macos ~x86-solaris"
KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc x86 ~amd64-linux ~x86-linux ~x86-macos ~x86-solaris"
IUSE=""
RDEPEND="x11-libs/gtk+:2

2
app-text/texlive-core/Manifest

@ -2,7 +2,7 @@ DIST texlive-20190410-source.tar.xz 53783408 BLAKE2B 8e34c7c2b74eab1c4d16ddbf7ed
DIST texlive-20200406-source.tar.xz 55383320 BLAKE2B 3bc024166ebfc269389531c7cf818b062856cd2dcc27cf0a2e790f07cd941d9905c9c6a54566ea627ea1ca334d2b6da8d3e5bd1c686dc9d6f8ac15aac388c1e3 SHA512 65be52cb5e1b52f12feb62c6cf23e56c581b9dccb8d3b9ccc85c12c62b0cb67dd71de8d22d967d2cbf8403502c66bccb238523d13a0d081be104fc9f9c68b477
DIST texlive-core-patches-2019-10.tar.xz 15384 BLAKE2B 0715e8553db296eb31f88791010c8e5c383758d0ae0b99effdbecf3dee029a865cac594c50262137c33915c3ddd9bdec0daaade9979b932444ef44fa4928fdc2 SHA512 166bb4440e824fed8aacfe0a1a62aa64403c6cd23bfbae4d65b6ee8822d29a54d30664068f0d65b49b30586691f75a21bb3719e41c75481f5cab72e82d0be1a7
DIST texlive-core-patches-2019-11.tar.xz 15412 BLAKE2B ac0abe035541acf2b4c028e310616a72e47c4c59826535a667bbc439069adabd5c54260d7724ae663ea0d36de01cdf363fa1c3472e8c53b19029fb798d432e53 SHA512 ae624bdbd172de373871dd8a1bd0d8c2e810e89e471705de393caf351d8863e71558ca021a9365821bbcb73956642d8a65f670431a7f94774080e6f821fc1d92
DIST texlive-core-patches-2020-1.tar.xz 12168 BLAKE2B 7e6417100f9e912343422dfe089c46467e15a721763f345a2e5618b53fb2da90cd3611a8a4205b5453666826e7e9e7a91a75c07b7e3cab40d6594afd436edeb1 SHA512 6109906cf83bec24d70f9a396b01febd727580547129bcb935784cf75bea823f1195d459f12457472fee3d76973d3c277d49ec9365847c5b707a9698ffd18a07
DIST texlive-core-patches-2020-3.tar.xz 12200 BLAKE2B 59ce9302ee78d2e450c255b1aa8e9e8d5fc9cb1908d9dfb7c65ce742c400b0a58f839b3c92afcd36f4b7e65d78a9bfded734b4d59e0201d2e95d8e9f726a15a8 SHA512 b1bf512250a15b55c668fe5a0fcc0d28b56c738b1b05f9222e0dbf269e0ff9319760b74f9c7a55c3ff096c90dbf68d554b915e4c11b015b565e8372837582a69
DIST texlive-module-a2ping-2019.tar.xz 30616 BLAKE2B 545abfdd3aa23b8d2bed608d7b7aef0f9578d5c4d6039880d435144c687014edb8c841afcb2d9ca1fc48a365b2bcb57832d49d1c6bb35480a01a813e40e18ea6 SHA512 983084ca3d70eff729d81d5d52a74e1bf1f95e384916bc81d17be81290f70c1da5ac891c1665a2451975f36fd56ea0036e1d0dc46b2e98b61ddc660ac044c23c
DIST texlive-module-a2ping-2020.tar.xz 30652 BLAKE2B 63e857ba7142751828669bc00d9689f000effddecc221a03943f508e69a28bdc675707527b47a5444ac9881268b1d9abe372d0bbcde78007aaf81c69b15421dd SHA512 4008c18f93a7d378c8da20bad7c1fdf19c3e6befccdcc804326168854fcd35bb89fe414b30a26dbddeaf81a11c0d404bf5b5459bd3d8adce49dc30279e3bd420
DIST texlive-module-a2ping.doc-2019.tar.xz 39740 BLAKE2B 1a9cf6e4cf4dd4dd7677efddafc9da191ab3c34eea3b7bd0f51937f6946e1696b858aa9d53e7599c220933b06bc0332869a0bd596ca66b9801b48adb5ab1aa2b SHA512 daeefb01a0197e3b7751614cb84e2926f670d36b7e8a389bfbbe39cbd941c4d10ef5112593bfb88e11fa15f7f7bb07f2538c7d0a68cefe1482bbdaf02d475512

2
app-text/texlive-core/texlive-core-2020-r1.ebuild → app-text/texlive-core/texlive-core-2020-r3.ebuild

@ -9,7 +9,7 @@ inherit flag-o-matic toolchain-funcs libtool texlive-common
MY_P=${PN%-core}-${TL_SOURCE_VERSION}-source
PATCHLEVEL=1
PATCHLEVEL=3
DESCRIPTION="A complete TeX distribution"
HOMEPAGE="https://tug.org/texlive/"

BIN
dev-cpp/Manifest.gz

2
dev-cpp/glibmm/glibmm-2.62.0.ebuild

@ -9,7 +9,7 @@ HOMEPAGE="https://www.gtkmm.org"
LICENSE="LGPL-2.1+ GPL-2+" # GPL-2+ applies only to the build system
SLOT="2"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~sparc-solaris ~x86-solaris"
KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~sparc-solaris ~x86-solaris"
IUSE="doc debug test"
RESTRICT="!test? ( test )"

2
dev-cpp/pangomm/pangomm-2.42.1.ebuild

@ -9,7 +9,7 @@ HOMEPAGE="https://www.gtkmm.org"
LICENSE="LGPL-2.1+"
SLOT="1.4"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux ~sparc-solaris ~x86-solaris"
KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc x86 ~amd64-linux ~x86-linux ~sparc-solaris ~x86-solaris"
IUSE="doc"
COMMON_DEPEND="

BIN
dev-db/Manifest.gz

468
dev-db/mariadb/mariadb-10.1.44.ebuild → dev-db/mariadb/mariadb-10.1.44-r1.ebuild

@ -9,7 +9,8 @@ JAVA_PKG_OPT_USE="jdbc"
# Keeping eutils in EAPI=6 for emktemp in pkg_config
inherit eutils systemd flag-o-matic prefix toolchain-funcs java-pkg-opt-2 user cmake-utils multilib-build
inherit eutils systemd flag-o-matic prefix toolchain-funcs \
multiprocessing java-pkg-opt-2 cmake-utils multilib-build
SRC_URI="https://downloads.mariadb.org/interstitial/${P}/source/${P}.tar.gz "
@ -115,26 +116,33 @@ COMMON_DEPEND="
DEPEND="virtual/yacc
static? ( sys-libs/ncurses[static-libs] )
|| ( >=sys-devel/gcc-3.4.6 >=sys-devel/gcc-apple-4.0 )
server? ( extraengine? ( jdbc? ( >=virtual/jdk-1.6 ) ) )
server? (
extraengine? ( jdbc? ( >=virtual/jdk-1.6 ) )
test? ( acct-group/mysql acct-user/mysql )
)
${COMMON_DEPEND}"
RDEPEND="selinux? ( sec-policy/selinux-mysql )
client-libs? ( !dev-db/mariadb-connector-c[mysqlcompat] !dev-db/mysql-connector-c )
!dev-db/mysql !dev-db/mariadb-galera !dev-db/percona-server !dev-db/mysql-cluster
server? ( !prefix? ( dev-db/mysql-init-scripts ) )
${COMMON_DEPEND}
server? ( galera? (
sys-apps/iproute2
=sys-cluster/galera-25*
sst-rsync? ( sys-process/lsof )
sst-mariabackup? ( net-misc/socat[ssl] )
sst-xtrabackup? ( net-misc/socat[ssl] )
) )
perl? ( !dev-db/mytop
server? (
galera? (
sys-apps/iproute2
=sys-cluster/galera-25*
sst-rsync? ( sys-process/lsof )
sst-mariabackup? ( net-misc/socat[ssl] )
sst-xtrabackup? ( net-misc/socat[ssl] )
)
!prefix? ( dev-db/mysql-init-scripts acct-group/mysql acct-user/mysql )
extraengine? ( jdbc? ( >=virtual/jre-1.6 ) )
)
perl? (
!dev-db/mytop
virtual/perl-Getopt-Long
dev-perl/TermReadKey
virtual/perl-Term-ANSIColor
virtual/perl-Time-HiRes )
server? ( extraengine? ( jdbc? ( >=virtual/jre-1.6 ) ) )
virtual/perl-Time-HiRes
)
"
# For other stuff to bring us in
# dev-perl/DBD-mysql is needed by some scripts installed by MySQL
@ -142,16 +150,74 @@ RDEPEND="selinux? ( sec-policy/selinux-mysql )
PDEPEND="perl? ( >=dev-perl/DBD-mysql-2.9004 )
server? ( galera? ( sst-xtrabackup? ( || ( >=dev-db/percona-xtrabackup-bin-2.2.4 dev-db/percona-xtrabackup ) ) ) )"
mysql_init_vars() {
MY_SHAREDSTATEDIR=${MY_SHAREDSTATEDIR="${EPREFIX}/usr/share/mariadb"}
MY_SYSCONFDIR=${MY_SYSCONFDIR="${EPREFIX}/etc/mysql"}
MY_LOCALSTATEDIR=${MY_LOCALSTATEDIR="${EPREFIX}/var/lib/mysql"}
MY_LOGDIR=${MY_LOGDIR="${EPREFIX}/var/log/mysql"}
if [[ -z "${MY_DATADIR}" ]] ; then
MY_DATADIR=""
if [[ -f "${MY_SYSCONFDIR}/my.cnf" ]] ; then
MY_DATADIR=$(my_print_defaults mysqld 2>/dev/null \
| sed -ne '/datadir/s|^--datadir=||p' \
| tail -n1)
if [[ -z "${MY_DATADIR}" ]] ; then
MY_DATADIR=$(grep ^datadir "${MY_SYSCONFDIR}/my.cnf" \
| sed -e 's/.*=\s*//' \
| tail -n1)
fi
fi
if [[ -z "${MY_DATADIR}" ]] ; then
MY_DATADIR="${MY_LOCALSTATEDIR}"
einfo "Using default MY_DATADIR"
fi
elog "MySQL MY_DATADIR is ${MY_DATADIR}"
if [[ -z "${PREVIOUS_DATADIR}" ]] ; then
if [[ -e "${MY_DATADIR}" ]] ; then
# If you get this and you're wondering about it, see bug #207636
elog "MySQL datadir found in ${MY_DATADIR}"
elog "A new one will not be created."
PREVIOUS_DATADIR="yes"
else
PREVIOUS_DATADIR="no"
fi
export PREVIOUS_DATADIR
fi
else
if [[ ${EBUILD_PHASE} == "config" ]]; then
local new_MY_DATADIR
new_MY_DATADIR=$(my_print_defaults mysqld 2>/dev/null \
| sed -ne '/datadir/s|^--datadir=||p' \
| tail -n1)
if [[ ( -n "${new_MY_DATADIR}" ) && ( "${new_MY_DATADIR}" != "${MY_DATADIR}" ) ]]; then
ewarn "MySQL MY_DATADIR has changed"
ewarn "from ${MY_DATADIR}"
ewarn "to ${new_MY_DATADIR}"
MY_DATADIR="${new_MY_DATADIR}"
fi
fi
fi
export MY_SHAREDSTATEDIR MY_SYSCONFDIR
export MY_LOCALSTATEDIR MY_LOGDIR
export MY_DATADIR
}
pkg_setup() {
if [[ ${MERGE_TYPE} != binary ]] ; then
local GCC_MAJOR_SET=$(gcc-major-version)
local GCC_MINOR_SET=$(gcc-minor-version)
if use tokudb && [[ ${GCC_MAJOR_SET} -lt 4 || \
${GCC_MAJOR_SET} -eq 4 && ${GCC_MINOR_SET} -lt 7 ]] ; then
eerror "${PN} with tokudb needs to be built with gcc-4.7 or later."
eerror "Please use gcc-config to switch to gcc-4.7 or later version."
die
fi
# Bug 565584. InnoDB now requires atomic functions introduced with gcc-4.7 on
# non x86{,_64} arches
if ! use amd64 && ! use x86 && [[ ${GCC_MAJOR_SET} -lt 4 || \
@ -160,62 +226,19 @@ pkg_setup() {
eerror "Please use gcc-config to switch to gcc-4.7 or later version."
die
fi
fi
java-pkg-opt-2_pkg_setup
if has test ${FEATURES} && \
use server && ! has userpriv ${FEATURES} ; then
eerror "Testing with FEATURES=-userpriv is no longer supported by upstream. Tests MUST be run as non-root."
fi
# This should come after all of the die statements
enewgroup mysql 60 || die "problem adding 'mysql' group"
enewuser mysql 60 -1 /dev/null mysql || die "problem adding 'mysql' user"
}
pkg_preinst() {
java-pkg-opt-2_pkg_preinst
}
pkg_postinst() {
# Make sure the vars are correctly initialized
mysql_init_vars
# Create log directory securely if it does not exist
[[ -d "${ROOT}${MY_LOGDIR}" ]] || install -d -m0750 -o mysql -g mysql "${ROOT}${MY_LOGDIR}"
if use server ; then
if use pam; then
einfo
elog "This install includes the PAM authentication plugin."
elog "To activate and configure the PAM plugin, please read:"
elog "https://mariadb.com/kb/en/mariadb/pam-authentication-plugin/"
einfo
fi
if has test ${FEATURES} ; then
# Bug #213475 - MySQL _will_ object strenuously if your machine is named
# localhost. Also causes weird failures.
[[ "${HOSTNAME}" == "localhost" ]] && die "Your machine must NOT be named localhost"
if [[ -z "${REPLACING_VERSIONS}" ]] ; then
einfo
elog "You might want to run:"
elog "\"emerge --config =${CATEGORY}/${PF}\""
elog "if this is a new install."
elog
elog "If you are switching server implentations, you should run the"
elog "mysql_upgrade tool."
einfo
else
einfo
elog "If you are upgrading major versions, you should run the"
elog "mysql_upgrade tool."
einfo
if ! has userpriv ${FEATURES} ; then
die "Testing with FEATURES=-userpriv is no longer supported by upstream. Tests MUST be run as non-root."
fi
fi
einfo
elog "Be sure to edit the my.cnf file to activate your cluster settings."
elog "This should be done after running \"emerge --config =${CATEGORY}/${PF}\""
elog "The first time the cluster is activated, you should add"
elog "--wsrep-new-cluster to the options in /etc/conf.d/mysql for one node."
elog "This option should then be removed for subsequent starts."
einfo
fi
java-pkg-opt-2_pkg_setup
}
src_unpack() {
@ -441,6 +464,141 @@ src_compile() {
cmake-utils_src_compile
}
# Official test instructions:
# USE='extraengine perl server' \
# FEATURES='test userpriv' \
# ebuild mariadb-X.X.XX.ebuild \
# digest clean package
src_test() {
_disable_test() {
local rawtestname bug reason
rawtestname="${1}" ; shift
bug="${1}" ; shift
reason="${@}"
ewarn "test '${rawtestname}' disabled: '${reason}' (BUG#${bug})"
echo "${rawtestname} : BUG#${bug} ${reason}" >> "${T}/disabled.def"
}
local TESTDIR="${BUILD_DIR}/mysql-test"
local retstatus_unit
local retstatus_tests
if ! use server ; then
einfo "Skipping server tests due to minimal build."
return 0
fi
einfo ">>> Test phase [test]: ${CATEGORY}/${PF}"
# Run CTest (test-units)
cmake-utils_src_test
retstatus_unit=$?
# Ensure that parallel runs don't die
export MTR_BUILD_THREAD="$((${RANDOM} % 100))"
if [[ -z "${MTR_PARALLEL}" ]] ; then
local -x MTR_PARALLEL=$(makeopts_jobs)
if [[ ${MTR_PARALLEL} -gt 4 ]] ; then
# Running multiple tests in parallel usually require higher ulimit
# and fs.aio-max-nr setting. In addition, tests like main.multi_update
# are known to hit timeout when system is busy.
# To avoid test failure we will limit MTR_PARALLEL to 4 instead of
# using "auto".
local info_msg="Parallel MySQL test suite jobs limited to 4 (MAKEOPTS=${MTR_PARALLEL})"
info_msg+=" to avoid test failures. Set MTR_PARALLEL if you know what you are doing!"
einfo "${info_msg}"
unset info_msg
MTR_PARALLEL=4
fi
else
einfo "MTR_PARALLEL is set to '${MTR_PARALLEL}'"
fi
# Try to increase file limits to increase test coverage
if ! ulimit -n 16500 1>/dev/null 2>&1 ; then
# Upper limit comes from parts.partition_* tests
ewarn "For maximum test coverage please raise open file limit to 16500 (ulimit -n 16500) before calling the package manager."
if ! ulimit -n 4162 1>/dev/null 2>&1 ; then
# Medium limit comes from '[Warning] Buffered warning: Could not increase number of max_open_files to more than 3000 (request: 4162)'
ewarn "For medium test coverage please raise open file limit to 4162 (ulimit -n 4162) before calling the package manager."
if ! ulimit -n 3000 1>/dev/null 2>&1 ; then
ewarn "For minimum test coverage please raise open file limit to 3000 (ulimit -n 3000) before calling the package manager."
else
einfo "Will run test suite with open file limit set to 3000 (minimum test coverage)."
fi
else
einfo "Will run test suite with open file limit set to 4162 (medium test coverage)."
fi
else
einfo "Will run test suite with open file limit set to 16500 (best test coverage)."
fi
# create directories because mysqladmin might run out of order
mkdir -p "${T}"/var-tests{,/log} || die
cp "${S}"/mysql-test/unstable-tests "${T}/disabled.def" || die
local -a disabled_tests
disabled_tests+=( "compat/oracle.plugin;0;Needs example plugin which Gentoo disables" )
disabled_tests+=( "main.explain_non_select;0;Sporadically failing test" )
disabled_tests+=( "main.func_time;0;Dependent on time test was written" )
disabled_tests+=( "main.grant;0;Sporadically failing test" )
disabled_tests+=( "main.join_cache;0;Sporadically failing test" )
disabled_tests+=( "main.plugin_auth;0;Needs client libraries built" )
disabled_tests+=( "main.stat_tables;0;Sporadically failing test" )
disabled_tests+=( "main.stat_tables_innodb;0;Sporadically failing test" )
disabled_tests+=( "mariabackup.*;0;Broken test suite" )
disabled_tests+=( "plugins.auth_ed25519;0;Needs client libraries built" )
disabled_tests+=( "plugins.cracklib_password_check;0;False positive due to varying policies" )
disabled_tests+=( "plugins.two_password_validations;0;False positive due to varying policies" )
disabled_tests+=( "roles.acl_statistics;0;False positive due to a user count mismatch caused by previous test" )
if ! use latin1 ; then
disabled_tests+=( "funcs_1.is_columns_mysql;0;Requires USE=latin1" )
disabled_tests+=( "main.information_schema;0;Requires USE=latin1" )
disabled_tests+=( "main.mysql;0;Requires USE=latin1" )
disabled_tests+=( "main.system_mysql_db;0;Requires USE=latin1" )
fi
if ! use profiling ; then
disabled_tests+=( "sys_vars.sysvars_server_notembedded;0;Requires USE=profiling" )
fi
local test_infos_str test_infos_arr
for test_infos_str in "${disabled_tests[@]}" ; do
IFS=';' read -r -a test_infos_arr <<< "${test_infos_str}"
if [[ ${#test_infos_arr[@]} != 3 ]] ; then
die "Invalid test data set, not matching format: ${test_infos_str}"
fi
_disable_test "${test_infos_arr[0]}" "${test_infos_arr[1]}" "${test_infos_arr[2]}"
done
unset test_infos_str test_infos_arr
# run mysql-test tests
pushd "${TESTDIR}" &>/dev/null || die
perl mysql-test-run.pl --force --vardir="${T}/var-tests" --reorder --skip-test=tokudb --skip-test-list="${T}/disabled.def"
retstatus_tests=$?
popd &>/dev/null || die
# Cleanup is important for these testcases.
pkill -9 -f "${S}/ndb" 2>/dev/null
pkill -9 -f "${S}/sql" 2>/dev/null
local failures=""
[[ $retstatus_unit -eq 0 ]] || failures="${failures} test-unit"
[[ $retstatus_tests -eq 0 ]] || failures="${failures} tests"
[[ -z "$failures" ]] || die "Test failures: $failures"
einfo "Tests successfully completed"
}
src_install() {
cmake-utils_src_install
@ -511,158 +669,50 @@ src_install() {
[[ -e "${ED}/usr/bin/mytop" ]] && ! use perl && rm -f "${ED}/usr/bin/mytop"
}
# Official test instructions:
# USE='extraengine perl server' \
# FEATURES='test userpriv -usersandbox' \
# ebuild mariadb-X.X.XX.ebuild \
# digest clean package
src_test() {
_disable_test() {
local rawtestname reason
rawtestname="${1}" ; shift
reason="${@}"
ewarn "test '${rawtestname}' disabled: '${reason}'"
echo ${rawtestname} : ${reason} >> "${T}/disabled.def"
}
local TESTDIR="${BUILD_DIR}/mysql-test"
local retstatus_unit
local retstatus_tests
if ! use server ; then
einfo "Skipping server tests due to minimal build."
return 0
fi
# Bug #213475 - MySQL _will_ object strenously if your machine is named
# localhost. Also causes weird failures.
[[ "${HOSTNAME}" == "localhost" ]] && die "Your machine must NOT be named localhost"
if [[ $UID -eq 0 ]]; then
die "Testing with FEATURES=-userpriv is no longer supported by upstream. Tests MUST be run as non-root."
fi
has usersandbox $FEATURES && ewarn "Some tests may fail with FEATURES=usersandbox"
einfo ">>> Test phase [test]: ${CATEGORY}/${PF}"
# Run CTest (test-units)
# cmake-utils_src_test
# retstatus_unit=$?
# Ensure that parallel runs don't die
export MTR_BUILD_THREAD="$((${RANDOM} % 100))"
# Enable parallel testing, auto will try to detect number of cores
# You may set this by hand.
# The default maximum is 8 unless MTR_MAX_PARALLEL is increased
export MTR_PARALLEL="${MTR_PARALLEL:-auto}"
# create directories because mysqladmin might run out of order
mkdir -p "${T}"/var-tests{,/log} || die
# Run mysql tests
pushd "${TESTDIR}" > /dev/null || die
touch "${T}/disabled.def"
# These are failing in MariaDB 10.0 for now and are believed to be
# false positives:
#
# main.mysql_client_test, main.mysql_client_test_nonblock
# main.mysql_client_test_comp:
# segfaults at random under Portage only, suspect resource limits.
local t
for t in plugins.cracklib_password_check plugins.two_password_validations ; do
_disable_test "$t" "False positive due to varying policies"
done
for t in main.mysql_client_test main.mysql_client_test_nonblock \
rpl.rpl_semi_sync_uninstall_plugin main.mysql \
main.mysql_client_test_comp rpl.rpl_extra_col_master_myisam ; do
_disable_test "$t" "False positives in Gentoo"
done
if ! use client-libs ; then
_disable_test main.plugin_auth "Needs client libraries built"
_disable_test plugins.auth_ed25519 "Needs client libraries built"
fi
_disable_test main.gis_notembedded "Fails when latin1 USE is not set"
_disable_test sys_vars.sysvars_server_notembedded "Broken test" # bug #661700 required profiling always on
# run mysql-test tests
perl mysql-test-run.pl --force --vardir="${T}/var-tests" --reorder --skip-test=tokudb --skip-test-list="${T}/disabled.def"
retstatus_tests=$?
popd > /dev/null || die
# Cleanup is important for these testcases.
pkill -9 -f "${S}/ndb" 2>/dev/null
pkill -9 -f "${S}/sql" 2>/dev/null